import BusX
import SwiftUI

extension MicItem {
  public struct V: View {
    @StateObject var isActive = BusUI.Value(Mic.K.isActive, false)
    
    public init() {
      DispatchQueue.main.asyncAfter(deadline: .now() + 2) {
        Bus.send(Mic.K.isActive, true)
      }
      DispatchQueue.main.asyncAfter(deadline: .now() + 5) {
        Bus.send(Mic.K.isActive, false)
      }
    }
    
    public var body: some View {
      Text("Mic activity")
        .padding(8)
        .border(
          isActive.v ? Color.black : Color.gray,
          width: isActive.v ? 3 : 1
        )
        .animation(.easeInOut(duration: 0.3))
    }
  }
}
